## rust-wasmtime 27.0.0+dfsg

=== debian/control ===
Source: rust-wasmtime
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-anyhow-1+default-dev,
 librust-anyhow-1+std-dev,
 librust-arbitrary-1+default-dev,
 librust-async-trait-0.1+default-dev,
 librust-base64-0.22+default-dev,
 librust-bumpalo-3+default-dev,
 librust-bytes-1+default-dev,
 librust-bytesize-1+default-dev,
 librust-cap-std-3+default-dev,
 librust-capstone-0.13+default-dev,
 librust-cfg-if-1+default-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+std-dev,
 librust-clap-4+wrap-help-dev,
 librust-clap-complete-4+default-dev,
 librust-codespan-reporting-0.12+default-dev,
 librust-directories-next-2+default-dev,
 librust-env-logger-0.11+default-dev,
 librust-filetime-0.2+default-dev,
 librust-futures-0.3+alloc-dev,
 librust-gimli-0.31+read-dev,
 librust-gimli-0.31+std-dev,
 librust-gimli-0.31+write-dev,
 librust-hashbrown-0.14+raw-dev,
 librust-humantime-2+default-dev,
 librust-indicatif-0.17+default-dev,
 librust-itertools-0.13+default-dev,
 librust-libc-0.2+default-dev,
 librust-libm-0.2+default-dev,
 librust-libtest-mimic-0.7+default-dev,
 librust-log-0.4-dev,
 librust-memfd-0.6+default-dev,
 librust-memmap2-0.9+default-dev,
 librust-object-0.36+archive-dev,
 librust-object-0.36+elf-dev,
 librust-object-0.36+read-core-dev,
 librust-object-0.36+std-dev,
 librust-object-0.36+write-dev,
 librust-object-0.36+write-core-dev,
 librust-paste-1+default-dev,
 librust-postcard-1+alloc-dev,
 librust-postcard-1+use-std-dev,
 librust-pretty-env-logger-0.5+default-dev,
 librust-psm-0.1+default-dev,
 librust-regalloc2-0.10+checker-dev,
 librust-regalloc2-0.10+default-dev,
 librust-regalloc2-0.10+enable-serde-dev,
 librust-regalloc2-0.10+trace-log-dev,
 librust-region-3+default-dev,
 librust-rustc-hash-2+default-dev,
 librust-serde-1+alloc-dev,
 librust-serde-1+derive-dev,
 librust-serde-1+std-dev,
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-sha2-0.10+default-dev,
 librust-similar-2+default-dev,
 librust-smallvec-1+default-dev,
 librust-smallvec-1+serde-dev,
 librust-smallvec-1+union-dev,
 librust-souper-ir-2+default-dev,
 librust-souper-ir-2+stringify-dev,
 librust-sptr-0.3+default-dev,
 librust-target-lexicon-0.12+default-dev,
 librust-target-lexicon-0.12+std-dev,
 librust-tempfile-3+default-dev,
 librust-thiserror-1+default-dev,
 librust-toml-0.8+default-dev,
 librust-tracing-0.1+default-dev,
 librust-walkdir-2+default-dev,
 librust-wasmparser-0.217+features-dev,
 librust-wasmparser-0.217+serde-dev,
 librust-wasmparser-0.217+std-dev,
 librust-wasmparser-0.217+validate-dev,
 librust-wat-1+default-dev,
 librust-zstd-0.13-dev,
 rustfmt,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/rust-wasmtime.git
Vcs-Browser: https://salsa.debian.org/debian/rust-wasmtime
Homepage: https://wasmtime.dev/
Rules-Requires-Root: no

Package: librust-cranelift-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-anyhow-1+default-dev,
 librust-anyhow-1+std-dev,
 librust-arbitrary-1+default-dev,
 librust-bumpalo-3+default-dev,
 librust-capstone-0.13+default-dev,
 librust-cfg-if-1+default-dev,
 librust-codespan-reporting-0.12+default-dev,
 librust-env-logger-0.11+default-dev,
 librust-gimli-0.31+read-dev,
 librust-gimli-0.31+std-dev,
 librust-gimli-0.31+write-dev,
 librust-hashbrown-0.14+raw-dev,
 librust-libc-0.2-dev,
 librust-log-0.4-dev,
 librust-memmap2-0.9+default-dev,
 librust-object-0.36+elf-dev,
 librust-object-0.36+read-core-dev,
 librust-object-0.36+std-dev,
 librust-object-0.36+write-dev,
 librust-postcard-1+alloc-dev,
 librust-regalloc2-0.10+checker-dev,
 librust-regalloc2-0.10+default-dev,
 librust-regalloc2-0.10+enable-serde-dev,
 librust-regalloc2-0.10+trace-log-dev,
 librust-region-3+default-dev,
 librust-rustc-hash-2+default-dev,
 librust-serde-1+alloc-dev,
 librust-serde-1+std-dev,
 librust-serde-derive-1+default-dev,
 librust-sha2-0.10+default-dev,
 librust-similar-2+default-dev,
 librust-smallvec-1+default-dev,
 librust-smallvec-1+serde-dev,
 librust-smallvec-1+union-dev,
 librust-souper-ir-2+default-dev,
 librust-souper-ir-2+stringify-dev,
 librust-target-lexicon-0.12+default-dev,
 librust-target-lexicon-0.12+std-dev,
 librust-thiserror-1+default-dev,
 rustfmt,
 ${misc:Depends},
Provides:
 librust-cranelift-0.114+core-dev (= ${binary:Version}),
 librust-cranelift-0.114+default-dev (= ${binary:Version}),
 librust-cranelift-0.114+frontend-dev (= ${binary:Version}),
 librust-cranelift-0.114+interpreter-dev (= ${binary:Version}),
 librust-cranelift-0.114+jit-dev (= ${binary:Version}),
 librust-cranelift-0.114+module-dev (= ${binary:Version}),
 librust-cranelift-0.114+native-dev (= ${binary:Version}),
 librust-cranelift-0.114+object-dev (= ${binary:Version}),
 librust-cranelift-0.114+std-dev (= ${binary:Version}),
 librust-cranelift-0.114-dev (= ${binary:Version}),
 librust-cranelift-0.114.0-dev (= ${binary:Version}),
 librust-cranelift-bforest-0.114+default-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bforest-0.114-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bforest-0.114.0-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bforest-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bitset-0.114+arbitrary-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-0.114+default-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-0.114+enable-serde-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-0.114-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-0.114.0-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-codegen-0.114+all-native-arch-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.114+arm64-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.114+core-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.114+default-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.114+disas-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.114+enable-serde-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.114+incremental-cache-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.114+isle-errors-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.114+isle-in-source-tree-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.114+riscv64-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.114+s390x-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.114+souper-harvest-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.114+std-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.114+timing-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.114+unwind-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.114+x86-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.114-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.114.0-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-meta-0.114+default-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-meta-0.114-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-meta-0.114.0-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-meta-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-shared-0.114+default-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-codegen-shared-0.114-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-codegen-shared-0.114.0-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-codegen-shared-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-control-0.114+chaos-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.114+default-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.114+fuzz-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.114-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.114.0-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-entity-0.114+default-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-0.114+enable-serde-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-0.114-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-0.114.0-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-frontend-0.114+core-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.114+default-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.114+std-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.114-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.114.0-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-interpreter-0.114+default-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-interpreter-0.114-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-interpreter-0.114.0-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-interpreter-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-isle-0.114+default-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.114+fancy-errors-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.114+logging-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.114-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.114.0-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-jit-0.114+default-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-0.114+selinux-fix-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-0.114-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-0.114.0-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-module-0.114+core-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.114+default-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.114+enable-serde-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.114+std-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.114-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.114.0-dev (= ${rust:Version:librust-cranelift-module-dev}),

=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: bytecodealliance
Project: wasmtime
Dversion-Mangle: auto
Repacksuffix: +dfsg
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/v(28\.[\d.]+)

## rust-wasmtime 28.0.1%2Bdfsg

=== debian/tests/control ===
# check single-feature tests only on amd64
# skip unsupported official architectures armel armhf ppc64el s390x for crate cranelift-codegen
# skip unsupported official architectures arm64 riscv64 for crate cranelift-object
# skip unsupported official architecture i386 for crate cranelift-jit
# skip a failing default-features test on i386 for crate cranelift-codegen
# skip some non-feature tests where std is apparently required
# add required cranelift-codegen features std and unwind
# skip cranelift-codegen feature isle-in-source-tree: requires writable source

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.115.1
 --all-targets --all-features
Features:
 test-name=cranelift:@,
Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-cranelift-0.115-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.115.1
 --all-targets
Features:
 test-name=cranelift:default,
Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-cranelift-0.115+default-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.115.1
 --all-targets --no-default-features
Features:
 test-name=cranelift:,
Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-cranelift-0.115-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.115.1
 --all-targets --no-default-features --features core
Features:
 test-name=cranelift:core,
Architecture: amd64
#Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-cranelift-0.115+core-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.115.1
 --all-targets --no-default-features --features std
Features:
 test-name=cranelift:std,
Architecture: amd64
#Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-cranelift-0.115+std-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.115.1
 --all-targets --no-default-features --features frontend
Features:
 test-name=cranelift:frontend,
Architecture: amd64
#Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-cranelift-0.115+frontend-dev,
 librust-similar-2+default-dev,
 librust-tempfile-3+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.115.1
 --all-targets --no-default-features --features interpreter
Features:
 test-name=cranelift:interpreter,
Architecture: amd64
#Architecture: !armel !armhf !ppc64el !s390x
Depends:
 dh-rust,
 librust-cranelift-0.115+interpreter-dev,

## rust-wasmtime 28.0.1+dfsg

=== debian/changelog ===
rust-wasmtime (28.0.1+dfsg-3) unstable; urgency=medium

  * fix versioning of autopkgtest-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Dec 2025 14:46:46 +0100

rust-wasmtime (28.0.1+dfsg-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Dec 2025 10:59:31 +0100

rust-wasmtime (28.0.1+dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * bump (build-)dependencies for crate regalloc2

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Nov 2025 13:36:08 +0100

rust-wasmtime (27.0.0+dfsg-4) unstable; urgency=medium

  * skip autopkgtest-checking default-features
    on riscv64 for crate cranelift-jit
  * set urgency=high since due to security fixes in previous release

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Dec 2025 21:15:34 +0100

=== debian/control ===
Source: rust-wasmtime
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-anyhow-1+default-dev,
 librust-anyhow-1+std-dev,
 librust-arbitrary-1+default-dev,
 librust-async-trait-0.1+default-dev,
 librust-base64-0.22+default-dev,
 librust-bumpalo-3+default-dev,
 librust-bytes-1+default-dev,
 librust-bytesize-1+default-dev,
 librust-cap-std-3+default-dev,
 librust-capstone-0.13+default-dev,
 librust-cfg-if-1+default-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+std-dev,
 librust-clap-4+wrap-help-dev,
 librust-clap-complete-4+default-dev,
 librust-codespan-reporting-0.12+default-dev,
 librust-directories-next-2+default-dev,
 librust-env-logger-0.11+default-dev,
 librust-filetime-0.2+default-dev,
 librust-futures-0.3+alloc-dev,
 librust-gimli-0.31+read-dev,
 librust-gimli-0.31+std-dev,
 librust-gimli-0.31+write-dev,
 librust-hashbrown-0.14+raw-dev,
 librust-humantime-2+default-dev,
 librust-indicatif-0.17+default-dev,
 librust-itertools-0.13+default-dev,
 librust-libc-0.2+default-dev,
 librust-libm-0.2+default-dev,
 librust-libtest-mimic-0.7+default-dev,
 librust-log-0.4-dev,
 librust-memfd-0.6+default-dev,
 librust-memmap2-0.9+default-dev,
 librust-object-0.36+archive-dev,
 librust-object-0.36+elf-dev,
 librust-object-0.36+read-core-dev,
 librust-object-0.36+std-dev,
 librust-object-0.36+write-dev,
 librust-object-0.36+write-core-dev,
 librust-paste-1+default-dev,
 librust-postcard-1+alloc-dev,
 librust-postcard-1+use-std-dev,
 librust-pretty-env-logger-0.5+default-dev,
 librust-psm-0.1+default-dev,
 librust-regalloc2-0.11+checker-dev,
 librust-regalloc2-0.11+default-dev,
 librust-regalloc2-0.11+enable-serde-dev,
 librust-regalloc2-0.11+trace-log-dev,
 librust-region-3+default-dev,
 librust-rustc-hash-2+default-dev,
 librust-serde-1+alloc-dev,
 librust-serde-1+derive-dev,
 librust-serde-1+std-dev,
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-sha2-0.10+default-dev,
 librust-similar-2+default-dev,
 librust-smallvec-1+default-dev,
 librust-smallvec-1+serde-dev,
 librust-smallvec-1+union-dev,
 librust-souper-ir-2+default-dev,
 librust-souper-ir-2+stringify-dev,
 librust-sptr-0.3+default-dev,
 librust-target-lexicon-0.12+default-dev,
 librust-target-lexicon-0.12+std-dev,
 librust-tempfile-3+default-dev,
 librust-thiserror-1+default-dev,
 librust-toml-0.8+default-dev,
 librust-tracing-0.1+default-dev,
 librust-walkdir-2+default-dev,
 librust-wasmparser-0.217+features-dev,
 librust-wasmparser-0.217+serde-dev,
 librust-wasmparser-0.217+std-dev,
 librust-wasmparser-0.217+validate-dev,
 librust-wat-1+default-dev,
 librust-zstd-0.13-dev,
 rustfmt,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/rust-wasmtime.git
Vcs-Browser: https://salsa.debian.org/debian/rust-wasmtime
Homepage: https://wasmtime.dev/
Rules-Requires-Root: no

Package: librust-cranelift-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-anyhow-1+default-dev,
 librust-anyhow-1+std-dev,
 librust-arbitrary-1+default-dev,
 librust-bumpalo-3+default-dev,
 librust-capstone-0.13+default-dev,
 librust-cfg-if-1+default-dev,
 librust-codespan-reporting-0.12+default-dev,
 librust-env-logger-0.11+default-dev,
 librust-gimli-0.31+read-dev,
 librust-gimli-0.31+std-dev,
 librust-gimli-0.31+write-dev,
 librust-hashbrown-0.14+raw-dev,
 librust-libc-0.2-dev,
 librust-log-0.4-dev,
 librust-memmap2-0.9+default-dev,
 librust-object-0.36+elf-dev,
 librust-object-0.36+read-core-dev,
 librust-object-0.36+std-dev,
 librust-object-0.36+write-dev,
 librust-postcard-1+alloc-dev,
 librust-regalloc2-0.11+checker-dev,
 librust-regalloc2-0.11+default-dev,
 librust-regalloc2-0.11+enable-serde-dev,
 librust-regalloc2-0.11+trace-log-dev,
 librust-region-3+default-dev,
 librust-rustc-hash-2+default-dev,
 librust-serde-1+alloc-dev,
 librust-serde-1+std-dev,
 librust-serde-derive-1+default-dev,
 librust-sha2-0.10+default-dev,
 librust-similar-2+default-dev,
 librust-smallvec-1+default-dev,
 librust-smallvec-1+serde-dev,
 librust-smallvec-1+union-dev,
 librust-souper-ir-2+default-dev,
 librust-souper-ir-2+stringify-dev,
 librust-target-lexicon-0.12+default-dev,
 librust-target-lexicon-0.12+std-dev,
 librust-thiserror-1+default-dev,
 rustfmt,
 ${misc:Depends},
Provides:
 librust-cranelift-0.115+core-dev (= ${binary:Version}),
 librust-cranelift-0.115+default-dev (= ${binary:Version}),
 librust-cranelift-0.115+frontend-dev (= ${binary:Version}),
 librust-cranelift-0.115+interpreter-dev (= ${binary:Version}),
 librust-cranelift-0.115+jit-dev (= ${binary:Version}),
 librust-cranelift-0.115+module-dev (= ${binary:Version}),
 librust-cranelift-0.115+native-dev (= ${binary:Version}),
 librust-cranelift-0.115+object-dev (= ${binary:Version}),
 librust-cranelift-0.115+std-dev (= ${binary:Version}),
 librust-cranelift-0.115-dev (= ${binary:Version}),
 librust-cranelift-0.115.1-dev (= ${binary:Version}),
 librust-cranelift-bforest-0.115+default-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bforest-0.115-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bforest-0.115.1-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bforest-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bitset-0.115+arbitrary-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-0.115+default-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-0.115+enable-serde-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-0.115-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-0.115.1-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-codegen-0.115+all-native-arch-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.115+arm64-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.115+core-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.115+default-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.115+disas-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.115+enable-serde-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.115+incremental-cache-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.115+isle-errors-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.115+isle-in-source-tree-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.115+riscv64-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.115+s390x-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.115+souper-harvest-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.115+std-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.115+timing-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.115+unwind-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.115+x86-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.115-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.115.1-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-meta-0.115+default-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-meta-0.115-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-meta-0.115.1-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-meta-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-shared-0.115+default-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-codegen-shared-0.115-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-codegen-shared-0.115.1-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-codegen-shared-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-control-0.115+chaos-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.115+default-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.115+fuzz-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.115-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.115.1-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-entity-0.115+default-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-0.115+enable-serde-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-0.115-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-0.115.1-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-frontend-0.115+core-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.115+default-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.115+std-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.115-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.115.1-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-interpreter-0.115+default-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-interpreter-0.115-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-interpreter-0.115.1-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-interpreter-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-isle-0.115+default-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.115+fancy-errors-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.115+logging-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.115-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.115.1-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-jit-0.115+default-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-0.115+selinux-fix-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-0.115-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-0.115.1-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-module-0.115+core-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.115+default-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.115+enable-serde-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.115+std-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.115-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.115.1-dev (= ${rust:Version:librust-cranelift-module-dev}),

=== debian/tests/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # skip unsupported official architectures armel armhf ppc64el s390x for crate cranelift-codegen
 # skip unsupported official architectures arm64 riscv64 for crate cranelift-object
 # skip unsupported official architecture i386 for crate cranelift-jit
+# skip too slow official architecture riscv64 for crate cranelift-jit
 # skip a failing default-features test on i386 for crate cranelift-codegen
 # skip some non-feature tests where std is apparently required
 # add required cranelift-codegen features std and unwind
@@ -95,5 +96,3 @@
 Architecture: amd64
 #Architecture: !armel !armhf !ppc64el !s390x
 Depends:
- dh-rust,
- librust-cranelift-0.115+interpreter-dev,

## rust-wasmtime 29.0.1+dfsg

=== examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(wasmtime-examples)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
set(CMAKE_CXX_STANDARD 11)

add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/../crates/c-api ${CMAKE_CURRENT_BINARY_DIR}/wasmtime)

function(CREATE_TARGET TARGET TARGET_PATH)
	add_executable(wasmtime-${TARGET} ${TARGET_PATH})

	if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
		target_compile_options(wasmtime-${TARGET} PRIVATE -Wall -Wextra -Wno-deprecated-declarations)
	elseif(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
		target_compile_options(wasmtime-${TARGET} PRIVATE /W3)
	endif()

        target_compile_definitions(wasmtime-${TARGET} PRIVATE WASMTIME_TEST_ONLY)

	set_target_properties(wasmtime-${TARGET} PROPERTIES
		OUTPUT_NAME wasmtime-${TARGET}
		RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/$<0:>
		CXX_VISIBILITY_PRESET hidden
		POSITION_INDEPENDENT_CODE ON)

	target_include_directories(wasmtime-${TARGET} PUBLIC wasmtime)
	target_link_libraries(wasmtime-${TARGET} PUBLIC wasmtime)
	if(APPLE)
		target_link_libraries(wasmtime-${TARGET} PRIVATE "-framework CoreFoundation")
	endif()
	add_test(NAME ${TARGET}-c COMMAND $<TARGET_FILE:wasmtime-${TARGET}> WORKING_DIRECTORY ../..)
endfunction()

function(CREATE_RUST_TEST EXAMPLE)
	if(ARGC GREATER 1)
		add_test(NAME ${EXAMPLE}-rust COMMAND cargo run --example ${EXAMPLE} --features ${ARGV1} WORKING_DIRECTORY ../..)
	else()
		add_test(NAME ${EXAMPLE}-rust COMMAND cargo run --example ${EXAMPLE} WORKING_DIRECTORY ../..)
	endif()
endfunction()
function(CREATE_RUST_WASM EXAMPLE TARGET)
	execute_process(COMMAND cargo build -p example-${EXAMPLE}-wasm --target ${TARGET})
endfunction()

# Enable testing
enable_testing()

# Add all examples
create_target(anyref anyref.c)
create_target(async async.cpp)
create_target(externref externref.c)
create_target(fib-debug fib-debug/main.c)
create_target(fuel fuel.c)
create_target(gcd gcd.c)
create_target(hello hello.c)
create_target(interrupt interrupt.c)
create_target(linking linking.c)
create_target(memory memory.c)
create_target(multi multi.c)
create_target(multimemory multimemory.c)
create_target(serialize serialize.c)
create_target(threads threads.c)
create_target(wasi wasi/main.c)

# Add rust tests
create_rust_test(anyref)
create_rust_wasm(fib-debug wasm32-unknown-unknown)
create_rust_wasm(tokio wasm32-wasip1)
create_rust_wasm(wasi wasm32-wasip1)
create_rust_wasm(component wasm32-unknown-unknown)
create_rust_test(epochs)
create_rust_test(externref)
create_rust_test(fib-debug)
create_rust_test(fuel)
create_rust_test(gcd)
create_rust_test(hello)
create_rust_test(interrupt)
create_rust_test(linking)
create_rust_test(memory)
create_rust_test(multi)
create_rust_test(multimemory)
create_rust_test(serialize)
create_rust_test(threads)
create_rust_test(wasi)
create_rust_test(tokio wasi-common/tokio)
create_rust_test(component)

=== debian/changelog ===
rust-wasmtime (29.0.1+dfsg-3) unstable; urgency=medium

  * fix autpkgtest-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Jan 2026 01:06:51 +0100

rust-wasmtime (29.0.1+dfsg-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Jan 2026 19:44:38 +0100

rust-wasmtime (29.0.1+dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update watch file: limit to match v29
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * stop declare superfluous fields Priority Rules-Requires-Root
  * declare compliance with Debian Policy 4.7.3
  * build-depend on package for crate trait-variant
  * bump (build-)dependencies for crate target-lexicon
  * provide and autopkgtest crates pulley-interpreter wasmtime-math;
    depend (not only build-depend) on packages for crates libm sptr;
    tighten (build-)dependencies for crate arbitrary
  * drop patch 2004_break_dep_cycle;
    tighten build-dependency on dh-sequence-rust

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Jan 2026 03:03:37 +0100

=== debian/control ===
Source: rust-wasmtime
Section: rust
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust (= 1),
 librust-anyhow-1+default-dev,
 librust-anyhow-1+std-dev,
 librust-arbitrary-1+default-dev,
 librust-arbitrary-1+derive-dev,
 librust-async-trait-0.1+default-dev,
 librust-base64-0.22+default-dev,
 librust-bumpalo-3+default-dev,
 librust-bytes-1+default-dev,
 librust-bytesize-1+default-dev,
 librust-cap-std-3+default-dev,
 librust-capstone-0.13+default-dev,
 librust-cfg-if-1+default-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+std-dev,
 librust-clap-4+wrap-help-dev,
 librust-clap-complete-4+default-dev,
 librust-codespan-reporting-0.12+default-dev,
 librust-directories-next-2+default-dev,
 librust-env-logger-0.11+default-dev,
 librust-filetime-0.2+default-dev,
 librust-futures-0.3+alloc-dev,
 librust-gimli-0.31+read-dev,
 librust-gimli-0.31+std-dev,
 librust-gimli-0.31+write-dev,
 librust-hashbrown-0.14+raw-dev,
 librust-humantime-2+default-dev,
 librust-indicatif-0.17+default-dev,
 librust-itertools-0.13+default-dev,
 librust-libc-0.2+default-dev,
 librust-libm-0.2+default-dev,
 librust-libtest-mimic-0.7+default-dev,
 librust-log-0.4-dev,
 librust-memfd-0.6+default-dev,
 librust-memmap2-0.9+default-dev,
 librust-object-0.36+archive-dev,
 librust-object-0.36+elf-dev,
 librust-object-0.36+read-core-dev,
 librust-object-0.36+std-dev,
 librust-object-0.36+write-dev,
 librust-object-0.36+write-core-dev,
 librust-paste-1+default-dev,
 librust-postcard-1+alloc-dev,
 librust-postcard-1+use-std-dev,
 librust-pretty-env-logger-0.5+default-dev,
 librust-psm-0.1+default-dev,
 librust-regalloc2-0.11+checker-dev,
 librust-regalloc2-0.11+default-dev,
 librust-regalloc2-0.11+enable-serde-dev,
 librust-regalloc2-0.11+trace-log-dev,
 librust-region-3+default-dev,
 librust-rustc-hash-2+default-dev,
 librust-serde-1+alloc-dev,
 librust-serde-1+derive-dev,
 librust-serde-1+std-dev,
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-sha2-0.10+default-dev,
 librust-similar-2+default-dev,
 librust-smallvec-1+default-dev,
 librust-smallvec-1+serde-dev,
 librust-smallvec-1+union-dev,
 librust-souper-ir-2+default-dev,
 librust-souper-ir-2+stringify-dev,
 librust-sptr-0.3+default-dev,
 librust-target-lexicon-0.13+default-dev,
 librust-target-lexicon-0.13+std-dev,
 librust-tempfile-3+default-dev,
 librust-thiserror-1+default-dev,
 librust-toml-0.8+default-dev,
 librust-tracing-0.1+default-dev,
 librust-trait-variant-0.1+default-dev,
 librust-walkdir-2+default-dev,
 librust-wasmparser-0.217+features-dev,
 librust-wasmparser-0.217+serde-dev,
 librust-wasmparser-0.217+std-dev,
 librust-wasmparser-0.217+validate-dev,
 librust-wat-1+default-dev,
 librust-zstd-0.13-dev,
 rustfmt,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/debian/rust-wasmtime.git
Vcs-Browser: https://salsa.debian.org/debian/rust-wasmtime
Homepage: https://wasmtime.dev/

Package: librust-cranelift-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-anyhow-1+default-dev,
 librust-anyhow-1+std-dev,
 librust-arbitrary-1+default-dev,
 librust-arbitrary-1+derive-dev,
 librust-bumpalo-3+default-dev,
 librust-capstone-0.13+default-dev,
 librust-cfg-if-1+default-dev,
 librust-codespan-reporting-0.12+default-dev,
 librust-env-logger-0.11+default-dev,
 librust-gimli-0.31+read-dev,
 librust-gimli-0.31+std-dev,
 librust-gimli-0.31+write-dev,
 librust-hashbrown-0.14+raw-dev,
 librust-libc-0.2-dev,
 librust-libm-0.2+default-dev,
 librust-log-0.4-dev,
 librust-memmap2-0.9+default-dev,
 librust-object-0.36+elf-dev,
 librust-object-0.36+read-core-dev,
 librust-object-0.36+std-dev,
 librust-object-0.36+write-dev,
 librust-postcard-1+alloc-dev,
 librust-regalloc2-0.11+checker-dev,
 librust-regalloc2-0.11+default-dev,
 librust-regalloc2-0.11+enable-serde-dev,
 librust-regalloc2-0.11+trace-log-dev,
 librust-region-3+default-dev,
 librust-rustc-hash-2+default-dev,
 librust-serde-1+alloc-dev,
 librust-serde-1+std-dev,
 librust-serde-derive-1+default-dev,
 librust-sha2-0.10+default-dev,
 librust-similar-2+default-dev,
 librust-smallvec-1+default-dev,
 librust-smallvec-1+serde-dev,
 librust-smallvec-1+union-dev,
 librust-souper-ir-2+default-dev,
 librust-souper-ir-2+stringify-dev,
 librust-sptr-0.3+default-dev,
 librust-target-lexicon-0.13+default-dev,
 librust-target-lexicon-0.13+std-dev,
 librust-thiserror-1+default-dev,
 rustfmt,
 ${misc:Depends},
Provides:
 librust-cranelift-0.116+core-dev (= ${binary:Version}),
 librust-cranelift-0.116+default-dev (= ${binary:Version}),
 librust-cranelift-0.116+frontend-dev (= ${binary:Version}),
 librust-cranelift-0.116+interpreter-dev (= ${binary:Version}),
 librust-cranelift-0.116+jit-dev (= ${binary:Version}),
 librust-cranelift-0.116+module-dev (= ${binary:Version}),
 librust-cranelift-0.116+native-dev (= ${binary:Version}),
 librust-cranelift-0.116+object-dev (= ${binary:Version}),
 librust-cranelift-0.116+std-dev (= ${binary:Version}),
 librust-cranelift-0.116-dev (= ${binary:Version}),
 librust-cranelift-0.116.1-dev (= ${binary:Version}),
 librust-cranelift-bforest-0.116+default-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bforest-0.116-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bforest-0.116.1-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bforest-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bitset-0.116+arbitrary-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-0.116+default-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-0.116+enable-serde-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-0.116-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-0.116.1-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-codegen-0.116+all-native-arch-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.116+arm64-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.116+core-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.116+default-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.116+disas-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.116+enable-serde-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.116+incremental-cache-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.116+isle-errors-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.116+isle-in-source-tree-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.116+riscv64-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.116+s390x-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.116+souper-harvest-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.116+std-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.116+timing-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.116+unwind-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.116+x86-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.116-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.116.1-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-meta-0.116+default-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-meta-0.116-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-meta-0.116.1-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-meta-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-shared-0.116+default-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-codegen-shared-0.116-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-codegen-shared-0.116.1-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-codegen-shared-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-control-0.116+chaos-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.116+default-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.116+fuzz-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.116-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.116.1-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-entity-0.116+default-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-0.116+enable-serde-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-0.116-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-0.116.1-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-frontend-0.116+core-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.116+default-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.116+std-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.116-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.116.1-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-interpreter-0.116+default-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-interpreter-0.116-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-interpreter-0.116.1-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-interpreter-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-isle-0.116+default-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.116+fancy-errors-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.116+logging-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.116-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.116.1-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-jit-0.116+default-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-0.116+selinux-fix-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-0.116-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-0.116.1-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-module-0.116+core-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.116+default-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.116+enable-serde-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.116+std-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.116-dev (= ${rust:Version:librust-cranelift-module-dev}),

=== debian/rules ===
#!/usr/bin/make -f

# resolve DEB_VERSION
include /usr/share/dpkg/pkg-info.mk

# resolve crate version
# * get topmost version except prerelease suffix
#   from Cargo.toml file in dir passed as argument
# * source package version if matching upstream part modulo prerelease
# * otherwise append source package version
crate_version = \
 $(shell perl -n \
 -E '/^version\W+\K\d+\.\d+\.\d+/ ' \
 -E 'and say "$(DEB_VERSION_UPSTREAM)" =~ /^\Q$$&\E(?:~[a-z]+\d*)?$$/ ? "$(DEB_VERSION)" : "$$&+$(DEB_VERSION_UPSTREAM_REVISION)" and exit' \
 $1/Cargo.toml)

%:
	dh $@

# unlock dependencies during build
execute_before_dh_auto_configure:
	[ -f Cargo.lock.orig ] || mv Cargo.lock Cargo.lock.orig

# declare version for virtually provided embedded crates
packages = librust-cranelift-dev
vpkgstems = \
 pulley-interpreter
vpkgstems_cranelift = \
 bforest bitset codegen codegen-meta codegen-shared control \
 entity frontend interpreter isle jit module native object reader
vpkgstems_wasmtime = jit-icache-coherence math
packages_virtual = \
 $(patsubst %,librust-%-dev,$(vpkgstems)) \
 $(patsubst %,librust-cranelift-%-dev,$(vpkgstems_cranelift)) \
 $(patsubst %,librust-wasmtime-%-dev,$(vpkgstems_wasmtime))
override_dh_gencontrol:
	$(eval librust-cranelift-dev_version = $(call crate_version,cranelift/umbrella))\
	$(eval librust-wasmtime-dev_version = $(call crate_version,.))\
	$(eval librust-pulley-interpreter-dev_version = $(call crate_version,.))\
	$(foreach s,$(vpkgstems_cranelift),\
	 $(eval librust-cranelift-$s-dev_version = $(call crate_version,cranelift/$(subst isle,isle/isle,$(subst -,/,$s)))))\
	$(foreach s,$(vpkgstems_wasmtime),\
	 $(eval librust-wasmtime-$s-dev_version = $(librust-wasmtime-dev_version)))\
	set -e; $(foreach p,$(packages),\
	 dh_gencontrol -p$p -- \
	 -v'$($p_version)' \
	 $(foreach q,$(filter-out $p,$(packages) $(packages_virtual)),\
	 -V'rust:Version:$q=$($q_version)');)
	dh_gencontrol --remaining-packages

# avoid cleaning unless source is patched
override_dh_auto_clean:
	grep -q crates/wasi-common/WASI/ Cargo.toml || dh_auto_clean --buildsystem rust

# re-lock dependencies
execute_after_dh_auto_clean:
	[ ! -f Cargo.lock.orig ] || mv -f Cargo.lock.orig Cargo.lock

=== debian/watch ===
--- 
+++ 
@@ -7,4 +7,4 @@
 Project: wasmtime
 Dversion-Mangle: auto
 Repacksuffix: +dfsg
-Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/v(28\.[\d.]+)
+Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/v(29\.[\d.]+)
